Loading...
Searching...
No Matches
msg_mclass_hash.h File Reference
Parser Building Blocks

Hash function for header names. More...

`#include <sofia-sip/su_config.h>`
`#include <sofia-sip/bnf.h>`
Include dependency graph for msg_mclass_hash.h:

Go to the source code of this file.

## Macros

#define | MSG_MCLASS_HASH_H
| Defined when <sofia-sip/msg_mclass_hash.h> has been included.
#define | MC_HASH(s, n)
| Hash the header name.

## Functions

unsigned short | msg_header_name_hash (char const *s, isize_t *llen)
| Hash header name.

## Detailed Description

Hash function for header names.

Author
  Pekka Pessi Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com

Date
  Created: Tue Aug 21 16:03:45 2001 ppessi

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.